Cyberduck Mountain Duck CLI

#1635 closed defect (fixed)

2.8.3 crashed FTP listing multiple directories

Reported by: mly Owned by: dkocher
Priority: normal Milestone: 2.8.4
Component: core Version: 2.8.3
Severity: normal Keywords:
Cc: Architecture:
Platform:

Description

Freshly updated Cyberduck (3437). Visited a bookmarked FTP site. Logged in, home directory listed automatically, sorted newest-first.

I then saw that 6 directories had new contents, so I attempted to list the new files by clicking on each of the "open" triangle icons to the left of the directory listing. This started multiple parallel directory requests, which has not been a problem in the past, but which crashed as shown below in this case.

I have not (yet) attempted to reproduce the error.

Date/Time:      2008-01-17 10:31:33.148 -0800
OS Version:     10.4.11 (Build 8S165)
Report Version: 4

Command: Cyberduck
Path:    /Applications/Cyberduck.app/Contents/MacOS/Cyberduck
Parent:  WindowServer [61]

Version: 2.8.3 (3437) (3437)

PID:    12947
Thread: 13

Exception:  EXC_BAD_ACCESS (0x0001)
Codes:      KERN_INVALID_ADDRESS (0x0001) at 0x6e006700

Thread 0:
0   libSystem.B.dylib        	0x9002c3c8 semaphore_wait_signal_trap + 8
1   libSystem.B.dylib        	0x90030eac pthread_cond_wait + 480
2   com.apple.AppKit         	0x937b320c -[NSViewHierarchyLock lockForWriting] + 404
3   com.apple.AppKit         	0x937c40c8 -[NSView _displayRectIgnoringOpacity:isVisibleRect:rectIsVisibleRectForView:] + 276
4   com.apple.AppKit         	0x937b9428 -[NSView displayIfNeeded] + 248
5   com.apple.AppKit         	0x937b9298 -[NSWindow displayIfNeeded] + 180
6   com.apple.AppKit         	0x937b9144 _handleWindowNeedsDisplay + 200
7   com.apple.CoreFoundation 	0x907de57c __CFRunLoopDoObservers + 352
8   com.apple.CoreFoundation 	0x907de81c __CFRunLoopRun + 420
9   com.apple.CoreFoundation 	0x907de2bc CFRunLoopRunSpecific + 268
10  com.apple.HIToolbox      	0x932a0b20 RunCurrentEventLoopInMode + 264
11  com.apple.HIToolbox      	0x932a012c ReceiveNextEventCommon + 244
12  com.apple.HIToolbox      	0x932a0020 BlockUntilNextEventMatchingListInMode + 96
13  com.apple.AppKit         	0x93785bc4 _DPSNextEvent + 384
14  com.apple.AppKit         	0x93785888 -[NSApplication nextEventMatchingMask:untilDate:inMode:dequeue:] + 116
15  com.apple.AppKit         	0x93781dcc -[NSApplication run] + 472
16  com.apple.AppKit         	0x93872974 NSApplicationMain + 452
17  ch.sudo.cyberduck        	0x00002bbc _start + 760
18  ch.sudo.cyberduck        	0x000028c0 start + 48

Thread 1:
0   libSystem.B.dylib        	0x9000b348 mach_msg_trap + 8
1   libSystem.B.dylib        	0x9000b29c mach_msg + 60
2   libjvm.dylib             	0x9c1542fc JNI_CreateJavaVM_Impl + 48732
3   libjvm.dylib             	0x9c154294 JNI_CreateJavaVM_Impl + 48628
4   libjvm.dylib             	0x9c15418c JNI_CreateJavaVM_Impl + 48364
5   libSystem.B.dylib        	0x9002bd08 _pthread_body + 96

Thread 2:
0   libSystem.B.dylib        	0x9000b348 mach_msg_trap + 8
1   libSystem.B.dylib        	0x9000b29c mach_msg + 60
2   libjvm.dylib             	0x9c1ba5a0 jio_snprintf + 391600
3   libjvm.dylib             	0x9c1ba1a4 jio_snprintf + 390580
4   libjvm.dylib             	0x9c1ba96c jio_snprintf + 392572
5   libjvm.dylib             	0x9c1b9fe8 jio_snprintf + 390136
6   libjvm.dylib             	0x9c15418c JNI_CreateJavaVM_Impl + 48364
7   libSystem.B.dylib        	0x9002bd08 _pthread_body + 96

Thread 3:
0   libSystem.B.dylib        	0x9000b348 mach_msg_trap + 8
1   libSystem.B.dylib        	0x9000b29c mach_msg + 60
2   libjvm.dylib             	0x9c1ba460 jio_snprintf + 391280
3   libjvm.dylib             	0x9c1ca1e4 JVM_MonitorWait + 3028
4   libjvm.dylib             	0x9c1c98ac JVM_MonitorWait + 668
5   <<00000000>> 	0x04d91264 0 + 81334884
6   <<00000000>> 	0x04d8aab0 0 + 81308336
7   <<00000000>> 	0x04d8aab0 0 + 81308336
8   <<00000000>> 	0x04d88164 0 + 81297764
9   libjvm.dylib             	0x9c1bbd38 jio_snprintf + 397640
10  libjvm.dylib             	0x9c1c9444 JVM_StartThread + 2612
11  libjvm.dylib             	0x9c1c9330 JVM_StartThread + 2336
12  libjvm.dylib             	0x9c1c92c0 JVM_StartThread + 2224
13  libjvm.dylib             	0x9c1c917c JVM_StartThread + 1900
14  libjvm.dylib             	0x9c15418c JNI_CreateJavaVM_Impl + 48364
15  libSystem.B.dylib        	0x9002bd08 _pthread_body + 96

Thread 4:
0   libSystem.B.dylib        	0x9000b348 mach_msg_trap + 8
1   libSystem.B.dylib        	0x9000b29c mach_msg + 60
2   libjvm.dylib             	0x9c1ba460 jio_snprintf + 391280
3   libjvm.dylib             	0x9c1ca1e4 JVM_MonitorWait + 3028
4   libjvm.dylib             	0x9c1c98ac JVM_MonitorWait + 668
5   <<00000000>> 	0x04d91264 0 + 81334884
6   <<00000000>> 	0x04d8aab0 0 + 81308336
7   <<00000000>> 	0x04d8a9c0 0 + 81308096
8   <<00000000>> 	0x04d8a9c0 0 + 81308096
9   <<00000000>> 	0x04d88164 0 + 81297764
10  libjvm.dylib             	0x9c1bbd38 jio_snprintf + 397640
11  libjvm.dylib             	0x9c1c9444 JVM_StartThread + 2612
12  libjvm.dylib             	0x9c1c9330 JVM_StartThread + 2336
13  libjvm.dylib             	0x9c1c92c0 JVM_StartThread + 2224
14  libjvm.dylib             	0x9c1c917c JVM_StartThread + 1900
15  libjvm.dylib             	0x9c15418c JNI_CreateJavaVM_Impl + 48364
16  libSystem.B.dylib        	0x9002bd08 _pthread_body + 96

Thread 5:
0   libSystem.B.dylib        	0x9002c4b8 semaphore_wait_trap + 8
1   libjvm.dylib             	0x9c1ded88 JVM_RegisterSignal + 10104
2   libjvm.dylib             	0x9c1deab4 JVM_RegisterSignal + 9380
3   libjvm.dylib             	0x9c1c917c JVM_StartThread + 1900
4   libjvm.dylib             	0x9c15418c JNI_CreateJavaVM_Impl + 48364
5   libSystem.B.dylib        	0x9002bd08 _pthread_body + 96

Thread 6:
0   libSystem.B.dylib        	0x9000b348 mach_msg_trap + 8
1   libSystem.B.dylib        	0x9000b29c mach_msg + 60
2   libjvm.dylib             	0x9c1ba460 jio_snprintf + 391280
3   libjvm.dylib             	0x9c1ba284 jio_snprintf + 390804
4   libjvm.dylib             	0x9c1dff80 JVM_RegisterSignal + 14704
5   libjvm.dylib             	0x9c1dfc38 JVM_RegisterSignal + 13864
6   libjvm.dylib             	0x9c1c917c JVM_StartThread + 1900
7   libjvm.dylib             	0x9c15418c JNI_CreateJavaVM_Impl + 48364
8   libSystem.B.dylib        	0x9002bd08 _pthread_body + 96

Thread 7:
0   libSystem.B.dylib        	0x9000b348 mach_msg_trap + 8
1   libSystem.B.dylib        	0x9000b29c mach_msg + 60
2   libjvm.dylib             	0x9c1ba460 jio_snprintf + 391280
3   libjvm.dylib             	0x9c1ba1a4 jio_snprintf + 390580
4   libjvm.dylib             	0x9c1e0604 JVM_RegisterSignal + 16372
5   libjvm.dylib             	0x9c1c917c JVM_StartThread + 1900
6   libjvm.dylib             	0x9c15418c JNI_CreateJavaVM_Impl + 48364
7   libSystem.B.dylib        	0x9002bd08 _pthread_body + 96

Thread 8:
0   libSystem.B.dylib        	0x9000b348 mach_msg_trap + 8
1   libSystem.B.dylib        	0x9000b29c mach_msg + 60
2   libjvm.dylib             	0x9c1ba5a0 jio_snprintf + 391600
3   libjvm.dylib             	0x9c1f5a84 JVM_RegisterSignal + 103540
4   libjvm.dylib             	0x9c1f56a8 JVM_RegisterSignal + 102552
5   libjvm.dylib             	0x9c15418c JNI_CreateJavaVM_Impl + 48364
6   libSystem.B.dylib        	0x9002bd08 _pthread_body + 96

Thread 9:
0   libSystem.B.dylib        	0x9001f88c select + 12
1   libObjCJava.A.dylib      	0x97146344 thread_func + 560
2   libSystem.B.dylib        	0x9002bd08 _pthread_body + 96

Thread 10:
0   libSystem.B.dylib        	0x9001f88c select + 12
1   libjdns_sd.jnilib        	0x9741a324 Java_com_apple_dnssd_AppleService_BlockForData + 232
2   <<00000000>> 	0x04d91264 0 + 81334884
3   <<00000000>> 	0x04d8a9f0 0 + 81308144
4   <<00000000>> 	0x04d8ae10 0 + 81309200
5   <<00000000>> 	0x04d88164 0 + 81297764
6   libjvm.dylib             	0x9c1bbd38 jio_snprintf + 397640
7   libjvm.dylib             	0x9c1c9444 JVM_StartThread + 2612
8   libjvm.dylib             	0x9c1c9330 JVM_StartThread + 2336
9   libjvm.dylib             	0x9c1c92c0 JVM_StartThread + 2224
10  libjvm.dylib             	0x9c1c917c JVM_StartThread + 1900
11  libjvm.dylib             	0x9c15418c JNI_CreateJavaVM_Impl + 48364
12  libSystem.B.dylib        	0x9002bd08 _pthread_body + 96

Thread 11:
0   libSystem.B.dylib        	0x9001f88c select + 12
1   libjdns_sd.jnilib        	0x9741a324 Java_com_apple_dnssd_AppleService_BlockForData + 232
2   <<00000000>> 	0x04d91264 0 + 81334884
3   <<00000000>> 	0x04d8a9f0 0 + 81308144
4   <<00000000>> 	0x04d8ae10 0 + 81309200
5   <<00000000>> 	0x04d88164 0 + 81297764
6   libjvm.dylib             	0x9c1bbd38 jio_snprintf + 397640
7   libjvm.dylib             	0x9c1c9444 JVM_StartThread + 2612
8   libjvm.dylib             	0x9c1c9330 JVM_StartThread + 2336
9   libjvm.dylib             	0x9c1c92c0 JVM_StartThread + 2224
10  libjvm.dylib             	0x9c1c917c JVM_StartThread + 1900
11  libjvm.dylib             	0x9c15418c JNI_CreateJavaVM_Impl + 48364
12  libSystem.B.dylib        	0x9002bd08 _pthread_body + 96

Thread 12:
0   libSystem.B.dylib        	0x9001f88c select + 12
1   libjdns_sd.jnilib        	0x9741a324 Java_com_apple_dnssd_AppleService_BlockForData + 232
2   <<00000000>> 	0x04d91264 0 + 81334884
3   <<00000000>> 	0x04d8a9f0 0 + 81308144
4   <<00000000>> 	0x04d8ae10 0 + 81309200
5   <<00000000>> 	0x04d88164 0 + 81297764
6   libjvm.dylib             	0x9c1bbd38 jio_snprintf + 397640
7   libjvm.dylib             	0x9c1c9444 JVM_StartThread + 2612
8   libjvm.dylib             	0x9c1c9330 JVM_StartThread + 2336
9   libjvm.dylib             	0x9c1c92c0 JVM_StartThread + 2224
10  libjvm.dylib             	0x9c1c917c JVM_StartThread + 1900
11  libjvm.dylib             	0x9c15418c JNI_CreateJavaVM_Impl + 48364
12  libSystem.B.dylib        	0x9002bd08 _pthread_body + 96

Thread 13 Crashed:
0   <<00000000>> 	0xfffeff20 objc_msgSend_rtp + 32
1   com.apple.AppKit         	0x937c2040 +[NSGraphicsContext setCurrentContext:] + 80
2   com.apple.AppKit         	0x938fff4c -[NSSurface unlockFocus] + 88
3   com.apple.AppKit         	0x9390022c -[NSProgressIndicator heartBeat:] + 368
4   com.apple.AppKit         	0x93822a34 -[NSUIHeartBeat _heartBeatThread:] + 912
5   com.apple.Foundation     	0x92be80c0 forkThreadForFunction + 108
6   libSystem.B.dylib        	0x9002bd08 _pthread_body + 96

Thread 13 crashed with PPC Thread State 64:
  srr0: 0x00000000fffeff20 srr1: 0x000000000200f030                        vrsave: 0x0000000000000000
    cr: 0x44000282          xer: 0x0000000020000004   lr: 0x00000000937c2040  ctr: 0x000000009012adf8
    r0: 0x00000000937c2034   r1: 0x00000000f078e710   r2: 0x000000006e006700   r3: 0x000000000038ef70
    r4: 0x0000000090aacaa0   r5: 0x000000000000006c   r6: 0x00000000ffffffff   r7: 0x00000000019b0c00
    r8: 0x0000000000000cf0   r9: 0x00000000019b191c  r10: 0x000000000000033c  r11: 0x000000006f54caa0
   r12: 0x000000000032b36b  r13: 0x0000000000000000  r14: 0x0000000000000000  r15: 0x0000000000000000
   r16: 0x0000000000000000  r17: 0x0000000000000000  r18: 0x0000000000000000  r19: 0x0000000000000000
   r20: 0x0000000000000000  r21: 0x0000000000000000  r22: 0x0000000000000000  r23: 0x0000000000000000
   r24: 0x0000000000000000  r25: 0x0000000000000000  r26: 0x00000000a37b6830  r27: 0x00000000a37b6694
   r28: 0x00000000a37b66a4  r29: 0x00000000003fe5c0  r30: 0x000000000038ef70  r31: 0x00000000937c1ff0

Binary Images Description:
    0x1000 -     0xafff ch.sudo.cyberduck 2.8.3 (3437) (3437)	/Applications/Cyberduck.app/Contents/MacOS/Cyberduck
   0x18000 -    0x24fff org.andymatuschak.Sparkle ??? (1.1)	/Applications/Cyberduck.app/Contents/Frameworks/Sparkle.framework/Versions/A/Sparkle
  0x7be000 -   0x7c4fff libLocal.dylib 	/Applications/Cyberduck.app/Contents/Resources/Java/libLocal.dylib
  0x7d7000 -   0x7d8fff libProxy.dylib 	/Applications/Cyberduck.app/Contents/Resources/Java/libProxy.dylib
 0x1714000 -  0x171bfff com.unsanity.smartcrashreports Smart Crash Reports version 1.0.3 (1.0.3b1)	/Users/mly/Library/InputManagers/Smart Crash Reports/Smart Crash Reports.bundle/Contents/MacOS/Smart Crash Reports
 0x17d0000 -  0x17d1fff libKeychain.dylib 	/Applications/Cyberduck.app/Contents/Resources/Java/libKeychain.dylib
 0xa142000 -  0xa143fff libGrowl.dylib 	/Applications/Cyberduck.app/Contents/Resources/Java/libGrowl.dylib
 0xb305000 -  0xb348fff Keychain.framework Keychain version 0.0.1d1 (???)	/Applications/Cyberduck.app/Contents/Frameworks/Keychain.framework/Versions/A/Keychain
0x8fe00000 - 0x8fe52fff dyld 46.16	/usr/lib/dyld
0x90000000 - 0x901bcfff libSystem.B.dylib 	/usr/lib/libSystem.B.dylib
0x90214000 - 0x90219fff libmathCommon.A.dylib 	/usr/lib/system/libmathCommon.A.dylib
0x9021b000 - 0x90268fff com.apple.CoreText 1.0.4 (???)	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreText.framework/Versions/A/CoreText
0x90293000 - 0x90344fff ATS 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/ATS
0x90373000 - 0x9072efff com.apple.CoreGraphics 1.258.77 (???)	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/CoreGraphics
0x907bb000 - 0x90895fff com.apple.CoreFoundation 6.4.9 (368.31)	/System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation
0x908de000 - 0x908defff com.apple.CoreServices 10.4 (???)	/System/Library/Frameworks/CoreServices.framework/Versions/A/CoreServices
0x908e0000 - 0x909e2fff libicucore.A.dylib 	/usr/lib/libicucore.A.dylib
0x90a3c000 - 0x90ac0fff libobjc.A.dylib 	/usr/lib/libobjc.A.dylib
0x90aea000 - 0x90b5afff com.apple.framework.IOKit 1.4 (???)	/System/Library/Frameworks/IOKit.framework/Versions/A/IOKit
0x90b70000 - 0x90b82fff libauto.dylib 	/usr/lib/libauto.dylib
0x90b89000 - 0x90e60fff com.apple.CoreServices.CarbonCore 681.17	/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CarbonCore.framework/Versions/A/CarbonCore
0x90ec6000 - 0x90f46fff com.apple.CoreServices.OSServices 4.1	/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/OSServices.framework/Versions/A/OSServices
0x90f90000 - 0x90fd2fff com.apple.CFNetwork 129.22	/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CFNetwork.framework/Versions/A/CFNetwork
0x90fe7000 - 0x90ffffff com.apple.WebServices 1.1.2 (1.1.0)	/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/WebServicesCore.framework/Versions/A/WebServicesCore
0x9100f000 - 0x91090fff com.apple.SearchKit 1.0.7	/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/SearchKit.framework/Versions/A/SearchKit
0x910d6000 - 0x91100fff com.apple.Metadata 10.4.4 (121.36)	/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/Metadata.framework/Versions/A/Metadata
0x91111000 - 0x9111ffff libz.1.dylib 	/usr/lib/libz.1.dylib
0x91122000 - 0x912ddfff com.apple.security 4.6 (29770)	/System/Library/Frameworks/Security.framework/Versions/A/Security
0x913dc000 - 0x913e5fff com.apple.DiskArbitration 2.1.2	/System/Library/Frameworks/DiskArbitration.framework/Versions/A/DiskArbitration
0x913ec000 - 0x913f4fff libbsm.dylib 	/usr/lib/libbsm.dylib
0x913f8000 - 0x91420fff com.apple.SystemConfiguration 1.8.3	/System/Library/Frameworks/SystemConfiguration.framework/Versions/A/SystemConfiguration
0x91433000 - 0x9143efff libgcc_s.1.dylib 	/usr/lib/libgcc_s.1.dylib
0x91443000 - 0x914befff com.apple.audio.CoreAudio 3.0.5	/System/Library/Frameworks/CoreAudio.framework/Versions/A/CoreAudio
0x914fb000 - 0x914fbfff com.apple.ApplicationServices 10.4 (???)	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/ApplicationServices
0x914fd000 - 0x91535fff com.apple.AE 1.5 (297)	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/AE.framework/Versions/A/AE
0x91550000 - 0x91622fff com.apple.ColorSync 4.4.10	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ColorSync.framework/Versions/A/ColorSync
0x91675000 - 0x91706fff com.apple.print.framework.PrintCore 4.6 (177.13)	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/PrintCore.framework/Versions/A/PrintCore
0x9174d000 - 0x91804fff com.apple.QD 3.10.25 (???)	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/QD.framework/Versions/A/QD
0x91841000 - 0x9189ffff com.apple.HIServices 1.5.3 (???)	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/HIServices.framework/Versions/A/HIServices
0x918ce000 - 0x918f2fff com.apple.LangAnalysis 1.6.1	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/LangAnalysis.framework/Versions/A/LangAnalysis
0x91906000 - 0x9192bfff com.apple.FindByContent 1.5	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/FindByContent.framework/Versions/A/FindByContent
0x9193e000 - 0x91980fff com.apple.LaunchServices 182	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/LaunchServices.framework/Versions/A/LaunchServices
0x9199c000 - 0x919b0fff com.apple.speech.synthesis.framework 3.3	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/SpeechSynthesis.framework/Versions/A/SpeechSynthesis
0x919be000 - 0x91a04fff com.apple.ImageIO.framework 1.5.6	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/ImageIO
0x91a1b000 - 0x91ae2fff libcrypto.0.9.7.dylib 	/usr/lib/libcrypto.0.9.7.dylib
0x91b30000 - 0x91b46fff libcups.2.dylib 	/usr/lib/libcups.2.dylib
0x91b4b000 - 0x91b69fff libJPEG.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libJPEG.dylib
0x91b6f000 - 0x91c26fff libJP2.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libJP2.dylib
0x91c75000 - 0x91c79fff libGIF.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libGIF.dylib
0x91c7b000 - 0x91ce5fff libRaw.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libRaw.dylib
0x91cea000 - 0x91d27fff libTIFF.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libTIFF.dylib
0x91d2e000 - 0x91d48fff libPng.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libPng.dylib
0x91d4d000 - 0x91d50fff libRadiance.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libRadiance.dylib
0x91d52000 - 0x91e30fff libxml2.2.dylib 	/usr/lib/libxml2.2.dylib
0x91e50000 - 0x91e50fff com.apple.Accelerate 1.2.2 (Accelerate 1.2.2)	/System/Library/Frameworks/Accelerate.framework/Versions/A/Accelerate
0x91e52000 - 0x91f37fff com.apple.vImage 2.4	/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vImage.framework/Versions/A/vImage
0x91f3f000 - 0x91f5efff com.apple.Accelerate.vecLib 3.2.2 (vecLib 3.2.2)	/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/vecLib
0x91fca000 - 0x92038fff libvMisc.dylib 	/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvMisc.dylib
0x92043000 - 0x920d8fff libvDSP.dylib 	/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvDSP.dylib
0x920f2000 - 0x9267afff libBLAS.dylib 	/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libBLAS.dylib
0x926ad000 - 0x929d8fff libLAPACK.dylib 	/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libLAPACK.dylib
0x92a08000 - 0x92af6fff libiconv.2.dylib 	/usr/lib/libiconv.2.dylib
0x92af9000 - 0x92b81fff com.apple.DesktopServices 1.3.7	/System/Library/PrivateFrameworks/DesktopServicesPriv.framework/Versions/A/DesktopServicesPriv
0x92bc2000 - 0x92dedfff com.apple.Foundation 6.4.9 (567.36)	/System/Library/Frameworks/Foundation.framework/Versions/C/Foundation
0x92f1a000 - 0x92f38fff libGL.dylib 	/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dylib
0x92f43000 - 0x92f9dfff libGLU.dylib 	/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLU.dylib
0x92fbb000 - 0x92fbbfff com.apple.Carbon 10.4 (???)	/System/Library/Frameworks/Carbon.framework/Versions/A/Carbon
0x92fbd000 - 0x92fd1fff com.apple.ImageCapture 3.0	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/ImageCapture.framework/Versions/A/ImageCapture
0x92fe9000 - 0x92ff9fff com.apple.speech.recognition.framework 3.4	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SpeechRecognition.framework/Versions/A/SpeechRecognition
0x93005000 - 0x9301afff com.apple.securityhi 2.0 (203)	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SecurityHI.framework/Versions/A/SecurityHI
0x9302c000 - 0x930b3fff com.apple.ink.framework 101.2 (69)	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Ink.framework/Versions/A/Ink
0x930c7000 - 0x930d2fff com.apple.help 1.0.3 (32)	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Help.framework/Versions/A/Help
0x930dc000 - 0x93109fff com.apple.openscripting 1.2.5 (???)	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/OpenScripting.framework/Versions/A/OpenScripting
0x93123000 - 0x93133fff com.apple.print.framework.Print 5.0 (190.1)	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Print.framework/Versions/A/Print
0x9313f000 - 0x931a5fff com.apple.htmlrendering 1.1.2	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HTMLRendering.framework/Versions/A/HTMLRendering
0x931d6000 - 0x93225fff com.apple.NavigationServices 3.4.4 (3.4.3)	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/NavigationServices.framework/Versions/A/NavigationServices
0x93253000 - 0x93270fff com.apple.audio.SoundManager 3.9	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CarbonSound.framework/Versions/A/CarbonSound
0x93282000 - 0x9328ffff com.apple.CommonPanels 1.2.2 (73)	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CommonPanels.framework/Versions/A/CommonPanels
0x93298000 - 0x935a6fff com.apple.HIToolbox 1.4.10 (???)	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HIToolbox.framework/Versions/A/HIToolbox
0x936f6000 - 0x93702fff com.apple.opengl 1.4.7	/System/Library/Frameworks/OpenGL.framework/Versions/A/OpenGL
0x93707000 - 0x93727fff com.apple.DirectoryService.Framework 3.1	/System/Library/Frameworks/DirectoryService.framework/Versions/A/DirectoryService
0x93734000 - 0x93739fff com.apple.JavaVM 11.7.0	/System/Library/Frameworks/JavaVM.framework/JavaVM
0x9377b000 - 0x9377bfff com.apple.Cocoa 6.4 (???)	/System/Library/Frameworks/Cocoa.framework/Versions/A/Cocoa
0x9377d000 - 0x93db0fff com.apple.AppKit 6.4.9 (824.44)	/System/Library/Frameworks/AppKit.framework/Versions/C/AppKit
0x9413d000 - 0x941affff com.apple.CoreData 91 (92.1)	/System/Library/Frameworks/CoreData.framework/Versions/A/CoreData
0x941e8000 - 0x942adfff com.apple.audio.toolbox.AudioToolbox 1.4.7	/System/Library/Frameworks/AudioToolbox.framework/Versions/A/AudioToolbox
0x94300000 - 0x94300fff com.apple.audio.units.AudioUnit 1.4	/System/Library/Frameworks/AudioUnit.framework/Versions/A/AudioUnit
0x94302000 - 0x944c2fff com.apple.QuartzCore 1.4.12	/System/Library/Frameworks/QuartzCore.framework/Versions/A/QuartzCore
0x9450c000 - 0x94549fff libsqlite3.0.dylib 	/usr/lib/libsqlite3.0.dylib
0x94551000 - 0x945a1fff libGLImage.dylib 	/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLImage.dylib
0x945aa000 - 0x945c4fff com.apple.CoreVideo 1.4.2	/System/Library/Frameworks/CoreVideo.framework/Versions/A/CoreVideo
0x945d5000 - 0x945f5fff libmx.A.dylib 	/usr/lib/libmx.A.dylib
0x947a3000 - 0x947b2fff libCGATS.A.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCGATS.A.dylib
0x947ba000 - 0x947c6fff libCSync.A.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCSync.A.dylib
0x9480c000 - 0x94824fff libRIP.A.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libRIP.A.dylib
0x9482b000 - 0x94b52fff com.apple.QuickTime 7.3.1	/System/Library/Frameworks/QuickTime.framework/Versions/A/QuickTime
0x94c38000 - 0x94ca9fff libstdc++.6.dylib 	/usr/lib/libstdc++.6.dylib
0x94e1e000 - 0x94f4efff com.apple.AddressBook.framework 4.0.6 (490)	/System/Library/Frameworks/AddressBook.framework/Versions/A/AddressBook
0x94fe1000 - 0x94ff0fff com.apple.DSObjCWrappers.Framework 1.1	/System/Library/PrivateFrameworks/DSObjCWrappers.framework/Versions/A/DSObjCWrappers
0x94ff8000 - 0x95025fff com.apple.LDAPFramework 1.4.1 (69.0.1)	/System/Library/Frameworks/LDAP.framework/Versions/A/LDAP
0x9502c000 - 0x9503cfff libsasl2.2.dylib 	/usr/lib/libsasl2.2.dylib
0x95040000 - 0x9506ffff libssl.0.9.7.dylib 	/usr/lib/libssl.0.9.7.dylib
0x9507f000 - 0x9509cfff libresolv.9.dylib 	/usr/lib/libresolv.9.dylib
0x95343000 - 0x95354fff com.apple.JavaApplicationLauncher 11.7.0	/System/Library/PrivateFrameworks/JavaApplicationLauncher.framework/Versions/A/JavaApplicationLauncher
0x957b5000 - 0x95870fff com.apple.WebKit 523.12.2	/System/Library/Frameworks/WebKit.framework/Versions/A/WebKit
0x958d9000 - 0x9598cfff com.apple.JavaScriptCore 523.12	/System/Library/Frameworks/JavaScriptCore.framework/Versions/A/JavaScriptCore
0x959b4000 - 0x95f31fff com.apple.WebCore 523.12.2	/System/Library/Frameworks/WebKit.framework/Versions/A/Frameworks/WebCore.framework/Versions/A/WebCore
0x97131000 - 0x9714efff libObjCJava.A.dylib 	/usr/lib/java/libObjCJava.A.dylib
0x9737d000 - 0x973c8fff libFoundationJava.B.dylib 	/usr/lib/java/libFoundationJava.B.dylib
0x97419000 - 0x9741bfff libjdns_sd.jnilib 	/usr/lib/java/libjdns_sd.jnilib
0x9829b000 - 0x9838afff libAppKitJava.B.dylib 	/usr/lib/java/libAppKitJava.B.dylib
0x9c147000 - 0x9c4c1fff libjvm.dylib 	/System/Library/Frameworks/JavaVM.framework/Versions/1.5.0/Libraries/libjvm.dylib
0x9c52c000 - 0x9c54afff libjava.jnilib 	/System/Library/Frameworks/JavaVM.framework/Versions/1.5.0/Libraries/libjava.jnilib
0x9c555000 - 0x9c55dfff libverify.dylib 	/System/Library/Frameworks/JavaVM.framework/Versions/1.5.0/Libraries/libverify.dylib
0x9c626000 - 0x9c632fff libnet.jnilib 	/System/Library/Frameworks/JavaVM.framework/Versions/1.5.0/Libraries/libnet.jnilib
0x9c692000 - 0x9c69ffff libzip.jnilib 	/System/Library/Frameworks/JavaVM.framework/Versions/1.5.0/Libraries/libzip.jnilib
0xc0000000 - 0xc0009fff com.growl.growlframework 0.8 (2971M)	/Applications/Cyberduck.app/Contents/Frameworks/Growl.framework/Versions/A/Growl

Model: PowerBook5,6, BootROM 4.9.1f1, 1 processors, PowerPC G4  (1.2), 1.67 GHz, 2 GB
Graphics: ATI Mobility Radeon 9700, ATY,RV360M11, AGP, 64 MB
Memory Module: SODIMM0/J25LOWER, 1 GB, DDR SDRAM, PC2700U-25330
Memory Module: SODIMM1/J25UPPER, 1 GB, DDR SDRAM, PC2700U-25330
AirPort: AirPort Extreme, 405.1 (3.90.34.0.p18)
Modem: Jump, V.92, Version 1.0
Bluetooth: Version 1.9.5f4, 2 service, 0 devices, 1 incoming serial ports
Network Service: AirPort, AirPort, en1
PCI Card: TXN,PCIXXXX-00, cardbus, PC Card
Parallel ATA Device: MATSHITADVD-R   UJ-845E
Parallel ATA Device: WDC WD2500BEVE-00WZT0, 232.89 GB
USB Device: Bluetooth USB Host Controller, Apple, Inc., Up to 12 Mb/sec, 500 mA
USB Device: Apple Internal Keyboard/Trackpad, Apple Computer, Up to 12 Mb/sec, 500 mA
USB Device: Hub, Up to 12 Mb/sec, 500 mA
USB Device: Hub, Up to 12 Mb/sec, 500 mA
USB Device: USB SEM-DT35, SAMSUNG, Up to 1.5 Mb/sec, 500 mA
USB Device: Studio Display, Up to 1.5 Mb/sec, 500 mA
USB Device: USB-PS/2 Optical Mouse, Logitech, Up to 1.5 Mb/sec, 500 mA

Change History (2)

comment:1 Changed on Jan 18, 2008 at 4:37:11 PM by dkocher

  • Milestone set to 2.8.4

comment:2 Changed on Jan 21, 2008 at 12:50:10 PM by dkocher

  • Resolution set to fixed
  • Status changed from new to closed

r3451 should fix this.

Note: See TracTickets for help on using tickets.
swiss made software